Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ObjectMemorySerializer

    java.lang.Object
      com.sun.squawk.ObjectMemorySerializer

    public class ObjectMemorySerializer

extends Object

This class facilitates saving a serialized object graph to a URL. The format of the output is described by `ObjectMemoryFile`.

Nested Class Summary
`static class` | `ObjectMemorySerializer.ControlBlock` A ControlBlock instance is used to pass parameters in both directions when calling the `copyObjectGraph` low level routine that serializes an object graph.

Method Summary
`static void` | `save(DataOutputStream dos, String uri, ObjectMemorySerializer.ControlBlock cb, ObjectMemory parent, boolean bigEndian)` Writes a serialized object memory to a given output stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### save

    public static void save(DataOutputStream dos,
                            String uri,
                            ObjectMemorySerializer.ControlBlock cb,
                            ObjectMemory parent,
                            boolean bigEndian)
                     throws IOException

  Writes a serialized object memory to a given output stream.

  Parameters:
    `dos` - where the object memory should be written
    `uri` - a URI identifying the object memory being saved
    `cb` - the control block describing the serialized object graph
    `parent` - the object memory to which the serialized object memory is bound
    `bigEndian` - the endianess to be used when serializing the object memory
  Throws:
    `IOException` - if there is an IO error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"